System.ServiceModel 4.0.0.0 System.ServiceModel.MsmqBindingBase

This binding can be used to enable indigo2 applications to send and receive messages to and from existing MSMQ applications that use COM, native C++ APIs or the types defined in the namespace.

The class maps Microsoft Message Queuing (MSMQ) messages to indigo1 messages.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  This method enables you to instantiate a new instance of the and pass in a security mode.

  Initializes a new instance of the class by using the specified .

  The security mode supported by the Message Queuing (MSMQ) integration channel
- Constructor
  4.0.0.0

  This method allows you to place the binding settings in a configuration file but add the actual binding in code.

  Initializes a new instance of the class from the settings of a specified configuration binding element.

  The value of the configurationName attribute that identifies the binding element whose settings are used to initialize the binding.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElementCollection To be added.

  Returns the binding elements in the basic profile stack.

  The that contains the stack of binding elements in the basic profile stack.

- Property
  4.0.0.0
  System.ServiceModel.MsmqIntegration.MsmqIntegrationSecurity To be added.

  encapsulates Message Queuing (MSMQ) transport security settings.

  Gets the that is associated with this binding.

- Property
  4.0.0.0
  System.ServiceModel.MsmqIntegration.MsmqMessageSerializationFormat To be added.

  This property returns an enumeration value that specifies how a indigo2 message will be serialized and deserialized. For more information, see .

  Gets or sets the serialization format to be used to serialize or deserialize the message.